Get Flow

Retrieve the Flow with the given ID.

By default, the deployed version of the Flow is returned. Use the query parameters version_id or environment to target a specific version of the Flow.

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired
Unique identifier for Flow.

Query parameters

version_idstringOptional
A specific Version ID of the Flow to retrieve.
environmentstringOptional
Name of the Environment to retrieve a deployed Version from.

Response

Successful Response
pathstring
Path of the Flow, including the name, which is used as a unique identifier.
idstring
Unique identifier for the Flow.
attributesmap from strings to any

A key-value object identifying the Flow Version.

namestring
Name of the Flow.
version_idstring
Unique identifier for the specific Flow Version. If no query params provided, the default deployed Flow Version is returned.
created_atdatetime
updated_atdatetime
last_used_atdatetime
version_logs_countinteger
The number of logs that have been generated for this Flow Version
directory_idstring
ID of the directory that the file is in on Humanloop.
version_namestring
Unique name for the Flow version. Version names must be unique for a given Flow.
version_descriptionstring
Description of the Version.
descriptionstring
Description of the Flow.
schemamap from strings to any
The JSON schema for the File.
readmestring
Long description of the file.
tagslist of strings
List of tags associated with the file.
type"flow"
environmentslist of objects
The list of environments the Flow Version is deployed to.
created_byany
The user who created the Flow.
evaluator_aggregateslist of objects
Aggregation of Evaluator results for the Flow Version.
evaluatorslist of objects
The list of Monitoring Evaluators associated with the Flow Version.

Errors

422
Get Flows ID Get Request Unprocessable Entity Error